use std::path::Path;
use std::path::PathBuf;

use crate::error::CustomError;

pub trait RendererIntegration {
    fn load_templates<I, P>(&mut self, dust_templates: I) -> Result<(), CustomError>
    where
        I: Iterator<Item = P>,
        P: Into<PathBuf>;

    fn render<P>(&self, context: &str, build_directory: P) -> Result<String, CustomError>
    where
        P: AsRef<Path>;
}
